~/talk

The Future Of Templating In Ember

Talkat EmberFest 2018 · 2018-10-11..10-12· [ember, webassembly]
slides:none on file

Overview of concrete language and runtime changes: Ember moves templates toward explicit interfaces with @-arguments (RFC 276 landed in 3.4) and a required resolution plan (RFC 308), adds angle-bracket invocation and splattributes plus outer-HTML semantics (3.4), and proposes element-level DOM hooks via element modifiers (RFC 353) and an element modifier manager (RFC 373). Glimmer VM enables bytecode, rehydration, incremental rendering and WebAssembly experiments. RFCs for named blocks (317) and module-imports for addons (367) aim to make templates statically resolvable.

AI-written summary · about

  1. 0:00Introduction and speaker background
  2. 1:52Why Ember has templating
  3. 3:18Design principles behind templating
  4. 7:13Simplicity vs ease in templating
  5. 10:01Evolution of Ember’s rendering engine
  6. 13:37Clarity in future templating
  7. 14:41RFC 276: Arguments proposal
  8. 16:28RFC 308: Required syntax
  9. 18:56Components and angle bracket invocation
  10. 21:21Splat attributes in components
  11. 22:45RFC 311: Custom components
  12. 24:31Long-term RFCs and future ideas
  13. 27:22Element modifiers and RFC 373
  14. 29:10RFC 226: Named blocks
  15. 32:02RFC 367: Module unification
  16. 34:07Recap of future templating changes
~/search
type to search 6,249 conferences, 138,987 speakers and 185,172 talks
~/help
cmdctrl k
search every conference, speaker and series
/
focus the filter search
h
home
c
conferences
s
speakers
e
series
t
light / dark — the status bar button does the same
?
this help
esc
close this, then clear every filter — or just the search, while you are typing in it

Ignored while you are typing. Pages without a filter rail have no search to focus.